<template>
  <div
    class="text-white px-4 py-3 rounded-lg relative"
    :class="classes"
    style="text-align:center"
  >
    <span class="message-box block sm:inline"
      ><b>{{ blogger_name }}</b> has no products (or less than
      {{ product_length }} ). Are you sure to continue?</span
    >
    <div>
      <button
        type="button"
        class="btn btn-primary"
        style="margin-right:20px;margin-top: 12px;"
        @click="viewHtml"
      >
        Yes
      </button>
      <button
        type="button"
        class="btn btn-default"
        style="margin-top: 12px;"
        @click="$emit('on-close')"
      >
        No
      </button>
    </div>
  </div>
</template>

<script>
import { htmlView } from "../utils/viewHtml/responsiveEmail/index";
import { scaleEmail } from "../utils/viewHtml/scaledEmail/index";
import { mapGetters } from "vuex";
import { ModalBus } from "../eventBus";

export default {
  props: {
    type: {
      type: String,
      value: "error" | "info" | "success" | "warning"
    },
    blogger_name: String,
    product_length: Number,
    text: String
  },
  methods: {
    viewHtml() {
      this.$emit("on-close");
      let props;
      let data = {
        banner: this.GETTER_DATA_BANNER,
        dataTopPick: this.GETTER_DATA_TOP_PICK,
        topPick: this.GETTER_TOP_PICK,
        titleTopPick: this.GETTER_TITLE_TOP_PICK,
        theme: this.GETTER_THEME_EMAIL,
        nameBloggerEnable: this.GETTER_DATA_BLOGGER_NAME_ENABLE,
        productOfRow: this.GETTER_DATA_PRODUCT_OF_ROW,
        blogger_cta: this.GETTER_DATA_BLOGGER_CTA_ENABLE
      };
      localStorage.setItem("savedata", JSON.stringify(data));
      this.$router.push(`/htmlview?type=${this.GETTER_THEME_EMAIL}`);
    }
  },
  computed: {
    ...mapGetters([
      "GETTER_THEME_EMAIL",
      "GETTER_DATA_BANNER",
      "GETTER_DATA_TOP_PICK",
      "GETTER_TOP_PICK",
      "GETTER_TITLE_TOP_PICK",
      "GETTER_DATA_BLOGGER_NAME_ENABLE",
      "GETTER_DATA_PRODUCT_OF_ROW",
      "GETTER_DATA_BLOGGER_CTA_ENABLE"
    ]),
    classes() {
      switch (this.type) {
        case "error":
          return "error";
        case "success":
          return "success";
        case "warning":
          return "warning";
        case "info":
          return "info";
        case "save_template":
          return "save_template";
        default:
          return "other";
      }
    }
  }
};
</script>

<style scoped>
.message-box {
  border: 0.5px;
}

.error {
  border-color: red;
  color: red;
  max-width: 400px;
}

.success {
  border-color: teal;
  max-width: 400px;
}

.warning {
  border-color: orange;
  max-width: 400px;
}

.info {
  border-color: rgb(54, 54, 216);
  max-width: 400px;
}

.other {
  border-color: gray;
}
.modal-dialog.fiftyPercent {
  text-align: center;
}
</style>
